/*

Fenryxo's library :-)

Copyright 2011 Jiří Janoušek <janousek.jiri@gmail.com>

If this file is built as a shared library it's released under GNU LGPL 3+ and 2-Clause BSD.
Otherwise it's released under GNU GPL 3+.
 
This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranties of 
MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
PURPOSE.  See <http://www.gnu.org/licenses/> for more details.
*/

using Fenryxo.Logger;

namespace Fenryxo.System{
	
	/**
	 * Opens URI in the default application
	 * 
	 * @param uri URI to open
	 */
	public void open_uri(string uri) throws SpawnError{
		string[] args = {"xdg-open", uri};
		lib_debug("xdg-open %s", uri);
		Process.spawn_async(null, args, null,
			SpawnFlags.LEAVE_DESCRIPTORS_OPEN|SpawnFlags.SEARCH_PATH,
			null, null);
	}
}
